Namespace
library
Image / Tag
consul:1.9.0-rc1
Content Digest
sha256:10523457d7ebf015a08e7643e4fcd2df7c5486fe567b890d7af3cf9fdc39064a
Details
Created

2020-11-17 20:17:14 UTC

Size

42.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:d6ca64ac6f4b6382142ce9a3501652938130a6ec4bb02f3f455ee1f980834cfe - 6.22% (2.66 MB)

[#001] sha256:ca63a3bdc3eb0523c0654a8abbc19ee31310d98cbdbeb300c9dd36616b72d221 - 0.0% (1.2 KB)

[#002] sha256:0cbea70648a1cf7518a0e79557634078be976f7452e53f93a1ba2c4afa096c02 - 93.77% (40.1 MB)

[#003] sha256:b78fbccb106d72ed9316634a7daca14fb0ba87c55c6613df60efa4c9d530c1df - 0.0% (142 Bytes)

[#004] sha256:b7518fa5e207ac3be2bac660d0687c07e97bd1189cd54a723cf8f3952f7edab5 - 0.0% (154 Bytes)

[#005] sha256:309204af4dcf92387ef4250b99e976d11c5eded15d97e4bfb99abeac53cb5272 - 0.0% (1.66 KB)


History
2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) ADD file:46ad43b4984bcf49c5a888ff3628f23161f55cd1fb062f469e707100c97fa254 in /

2020-10-22 02:00:33 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:32:47 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-17 20:17:04 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-rc1

2020-11-17 20:17:05 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-17 20:17:05 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-17 20:17:11 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-17 20:17:12 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-17 20:17:13 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-17 20:17:13 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-17 20:17:13 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-17 20:17:14 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-17 20:17:14 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-17 20:17:14 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-17 20:17:14 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-17 20:17:14 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-11-17 20:17:53 UTC

Size

43.4 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:188c0c94c7c576fff0792aca7ec73d67a2f7f4cb3a6e53a84559337260b36964 - 6.14% (2.67 MB)

[#001] sha256:e754fea32635761fd1a2d70a82621d986a077a1e6939378d032a10f95aa8c14d - 0.0% (1.2 KB)

[#002] sha256:8d20356034614db3bef0127fe01553d56e2b3b706fe14b7eec9afda99acb1e79 - 93.85% (40.7 MB)

[#003] sha256:284524c3ede95bb2768ff56ff912aa4d9373f0267689154a781b5fe6d869aa69 - 0.0% (143 Bytes)

[#004] sha256:2a74f0a233aadf7667aee2c3438cd44716f3b9b78ac43d506159b7d433b713af - 0.0% (153 Bytes)

[#005] sha256:84ee985e3036afb0a18154275d41b35ca2919deb3fbc45049a54abcc96ef77b5 - 0.0% (1.67 KB)


History
2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) ADD file:f17f65714f703db9012f00e5ec98d0b2541ff6147c2633f7ab9ba659d0c507f4 in /

2020-10-22 02:19:24 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 03:17:54 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-17 20:17:43 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-rc1

2020-11-17 20:17:43 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-17 20:17:44 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-17 20:17:49 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-17 20:17:50 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-17 20:17:51 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-17 20:17:51 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-17 20:17:51 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-17 20:17:52 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-17 20:17:52 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-17 20:17:52 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-17 20:17:52 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-17 20:17:53 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-11-17 20:19:49 UTC

Size

38.9 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:bad30e7b45c14f784ef29a828b5fc69db0ebdefebcde6a7c98f4f77ffc93a546 - 6.38% (2.48 MB)

[#001] sha256:fd176d46d0e4d2fe66f0e6a5e9bb94ac66c4597f42c58bd716fd5f2e8a09c33a - 0.0% (1.23 KB)

[#002] sha256:3ff384120308aa7d60bd162b2bda0ec930cc4311b62149820376175061e266c8 - 93.61% (36.4 MB)

[#003] sha256:c74b60595e0806eeae49f6836e1b5e8a3b8819196ea15f69d53ec36f3c4b8981 - 0.0% (173 Bytes)

[#004] sha256:11a453e117a293292e2c9e2f8342ead333a7bc80e4ed24513a7ebafc4959e40f - 0.0% (155 Bytes)

[#005] sha256:e2c37fefc1a54a4a210dc350ce223a43ce64fbfccd71996e3d2105cc60560a9c - 0.0% (1.67 KB)


History
2020-10-22 02:01:09 UTC

/bin/sh -c #(nop) ADD file:dec4d3b6cf21c59820d1d74a554d0a193b5f4859e00b932f31ffe73f554d5afb in /

2020-10-22 02:01:12 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:17:14 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-17 20:18:54 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-rc1

2020-11-17 20:18:55 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-17 20:18:58 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-17 20:19:10 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-17 20:19:22 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-17 20:19:30 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-17 20:19:33 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-17 20:19:37 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-17 20:19:40 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-17 20:19:43 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-17 20:19:45 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-17 20:19:48 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-17 20:19:49 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-11-17 20:19:50 UTC

Size

39.1 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>

Environment
CONSUL_VERSION

1.9.0-rc1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5f621e34cdf485f410766dc9a0fc7855d17916d0f6583b58cbdce7c28831f527 - 6.6% (2.58 MB)

[#001] sha256:7bc05507b9531791dc7b26ee30cd854904e454ef3d146b686bb8fd1720c28a69 - 0.0% (1.23 KB)

[#002] sha256:4a1d69bd9bfa52d31156026beaabbf557489e2ad5f6a67ca8633cdaca06f8dc0 - 93.39% (36.5 MB)

[#003] sha256:ebbb2ead06223b1dabcafeac0e7beb6af26817932c0a105d3e3cb766ade952d4 - 0.0% (174 Bytes)

[#004] sha256:68b56af0813be46e245d449b44de6628aa7f2527cd51bd7cc096a6d7869ad7fb - 0.0% (153 Bytes)

[#005] sha256:2e11e68f72e866a9ae9c6c39eddebcbad7865b4d355bc18f77ac83bb81d99443 - 0.0% (1.67 KB)


History
2020-10-22 02:01:01 UTC

/bin/sh -c #(nop) ADD file:55c4e9752146061a2b5f76027221329f423687987c0744ef577130c60ff0ba42 in /

2020-10-22 02:01:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-10-22 02:42:38 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com>

2020-11-17 20:18:58 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.9.0-rc1

2020-11-17 20:18:59 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-11-17 20:19:01 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-11-17 20:19:12 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-11-17 20:19:23 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-11-17 20:19:31 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-11-17 20:19:35 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-11-17 20:19:37 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-11-17 20:19:41 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-11-17 20:19:44 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-11-17 20:19:47 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-11-17 20:19:49 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-11-17 20:19:50 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]